#pragma once
#include <map>
struct M_HeadData
{
	//ID
	int mID;
	//物品ID
	int mItemID;
	//道具类型
	int mType;
	//Vip等级获取
	int mVipGet;
	//获取路径
	int mRoute;
};

class M_Head
{
public:
private:
	static std::auto_ptr<M_Head> msSingleton;
public:
	int GetCount();
	const M_HeadData* GetData(int ID);
	const std::map<int, M_HeadData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_Head* GetSingleton();
	static void Release();
private:
	std::map<int, M_HeadData> mMapData;
};
